## gphpedit 0.9.80

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = gphpedit
 PACKAGE = gphpedit
-VERSION = 0.9.50
+VERSION = 0.9.80
 
 SHELL = /bin/sh
 
@@ -33,7 +33,7 @@
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
 
-INSTALL = /bin/install -c
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs
 
@@ -42,8 +42,8 @@
 GMSGFMT = /usr/bin/gmsgfmt
 MSGFMT = /usr/bin/msgfmt
 XGETTEXT = /usr/bin/xgettext
-INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
+INTLTOOL_UPDATE = $(top_builddir)/intltool-update
+INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
 MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
 GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
 
@@ -62,6 +62,14 @@
 $(POFILES) $(GMOFILES) $(SOURCES)
 
 POTFILES = \
+	../src/find_replace.c \
+	../src/edit_template.c \
+	../src/main_window.c \
+	../src/main_window_callbacks.c \
+	../src/preferences.c \
+	../src/preferences_dialog.c \
+	../src/syntax_check.c \
+	../src/tab.c
 
 CATALOGS = 
 CATOBJEXT = .gmo
