## gphpedit 0.9.91

=== src/gtkscintilla2/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SCINTILLA_LIB = $(SCINTILLA_DIR)/bin/scintilla.a
 SCINTILLA_IFACE = $(SCINTILLA_INCLUDE)/Scintilla.iface
 LEXERS = $(wildcard $(SCINTILLA_DIR)/gtk/Lex*.o)
-CFLAGS = $(shell pkg-config --cflags gtk+-2.0) -g -Wall -DGTK -DSCI_LEXER
+CFLAGS = $(shell pkg-config --cflags gtk+-2.0) -g -Wall -DGTK -DSCI_LEXER -fPIC
 LDFLAGS_PRE = $(shell pkg-config --libs gtk+-2.0) -DGTK2
 LDFLAGS_POST =  $(LEXERS)  $(SCINTILLA_LIB) -lstdc++
