=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# githubredir.debian.net is a redirector for GitHub projects
# It can be used as following:
#http://githubredir.debian.net/github/anoopjohn/gphpedit (.*).tar.gz
