## gphpedit 0.9.98

=== src/gtkscintilla2/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 NAME = GtkScintilla2
 LIB_NAME = gtkscintilla2
-VERSION = 0.2.0
+VERSION = 0.2.6
 PREFIX = $(shell pkg-config --variable=prefix gtk+-2.0)
 
 SCINTILLA_DIR = ./scintilla
@@ -14,6 +14,7 @@
 LDFLAGS_PRE = $(shell pkg-config --libs gtk+-2.0) -DGTK2
 LDFLAGS_POST =  $(LEXERS)  $(SCINTILLA_LIB) -lstdc++
 
+ARCH=-arch i386 
 CC = gcc
 LD = gcc
 AR = ar
