=== debian/changelog ===
gphpedit (0.9.98-3) unstable; urgency=low

  [ Daniel T Chen ]
  * Added missing libs to link, fixing FTBFS (Closes: #713483)

 -- Lior Kaplan <kaplan@debian.org>  Mon, 01 Jul 2013 01:32:39 +0300

gphpedit (0.9.98-2) unstable; urgency=low

  * Update build dependency libwebkit-dev -> libwebkitgtk-dev (Closes: 635411)
  * Update debian/watch (Closes: #625881)

 -- Lior Kaplan <kaplan@debian.org>  Fri, 29 Jul 2011 23:38:55 +0200

gphpedit (0.9.98-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Apply patch to fix "FTBFS with ld --no-add-needed" (Closes: #611571)

 -- Lior Kaplan <kaplan@debian.org>  Fri, 06 May 2011 01:07:24 +0300
