=== debian/control ===
Source: gphpedit
Section: gnome
Priority: optional
Maintainer: Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 5.0.0), libwebkitgtk-dev, libxml-parser-perl, intltool, autopoint, libtool
Standards-Version: 3.9.2
Homepage: http://www.gphpedit.org/
Vcs-Git: git://github.com/anoopjohn/gphpedit.git
Vcs-Browser: http://github.com/anoopjohn/gphpedit

Package: gphpedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cli, php-doc
Description: development environment for PHP/HTML/CSS 
 gPHPEdit is a GNOME editor that is dedicated to editing 
 PHP files and other supporting files, like HTML/CSS. It 
 has support for drop-down function lists, hints showing 
 parameters, and syntax highlighting.
