=== debian/watch ===
version=3

# githubredir.debian.net is a redirector for GitHub projects
# It can be used as following:
http://githubredir.debian.net/github/anoopjohn/gphpedit/ (\d*).(\d*).(\d*).tar.gz
